package cz.muni.fi.pa165.core.device;

import cz.muni.fi.pa165.core.common.DomainObject;
import cz.muni.fi.pa165.core.manufacturer.Manufacturer;
import cz.muni.fi.pa165.core.smartmeter.SmartMeter;
import jakarta.persistence.Entity;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "domain_device")
public class Device extends DomainObject {

  private String name;

  @OneToMany
  private List<SmartMeter> smartMeterList;

  @ManyToOne
  private Manufacturer manufacturer;

  // Company ??
  // private Company company;
}
