package cz.muni.fi.pa165.core.user;

import cz.muni.fi.pa165.core.common.DomainObject;
import cz.muni.fi.pa165.core.house.House;
import jakarta.persistence.Entity;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "domain_user")
public class User extends DomainObject {

  private String username;

  @Enumerated(EnumType.STRING)
  private UserType userType;

  private String password;

  private String email;

  private String firstName;

  private String lastName;

  @OneToMany
  private List<House> housesList;
}
