package cz.muni.fi.pa165.core.user;

import cz.muni.fi.pa165.core.common.DomainFacade;
import cz.muni.fi.pa165.model.dto.user.UserCreateDto;
import cz.muni.fi.pa165.model.dto.user.UserDto;
import cz.muni.fi.pa165.model.dto.user.UserUpdateDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


@Component
@Transactional
public class UserFacade extends DomainFacade<User, UserDto, UserCreateDto, UserUpdateDto> {

	private final UserService userService; // For the "UserService" specific methods
	private final UserMapper userMapper;   // For the "UserMapper" specific methods

	@Autowired
	public UserFacade(UserService userService, UserMapper userMapper) {
		super(userService, userMapper);
		this.userService = userService;
		this.userMapper = userMapper;
	}

}
