package cz.muni.fi.pa165.core.user.roles;

import cz.muni.fi.pa165.core.common.DomainObject;
import cz.muni.fi.pa165.core.common.DomainService;
import cz.muni.fi.pa165.model.dto.role.RoleDto;
import lombok.Getter;
import lombok.Setter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;
import java.util.List;

@Getter
@Setter
@Service
public class RoleService extends DomainService<Role> {

    @Getter
    private final RoleRepository repository;

    @Autowired
    public RoleService(RoleRepository repository){
        this.repository = repository;
    }

    @Transactional
    public List<Role> findAllByUser(String id){
        return repository.findAllByUser(id);
    }
}
