package cz.muni.fi.pa165.statistics.statistics;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StatisticRepository extends JpaRepository<UserStatistic, String> {

    @Query("select name, userId, monthNum, yearNum, monthlyConsumption  from UserStatistic where userId = :#{#userId}")
    List<UserStatistic> findAllByUser(@Param("userId") String userId);

    @Query("select id, name, userId, monthNum, yearNum, monthlyConsumption  from UserStatistic where userId = :#{#userId} and houseId = :#{#houseId}")
    List<UserStatistic> findAllByUserAndHouse(@Param("userId") String userId, @Param("houseId") String houseId);

    @Query("select id, name, userId, monthNum, yearNum, monthlyConsumption  from UserStatistic where userId = :#{#userId} and houseId = :#{#houseId} and monthNum = :#{#month} and yearNum = :#{#year}")
    UserStatistic findUserHouseDateStatistics(@Param("userId") String userId, @Param("houseId") String houseId, @Param("month") int month, @Param("year") int year);
}
